package crontab

import (
	"kpt-pasture/model"
	"time"
)

func (e *Entry) InsertMilkDaily() error {
	pastureList := e.FindPastureList()
	if pastureList == nil || len(pastureList) == 0 {
		return nil
	}

	for _, pasture := range pastureList {
		e.ProcessMilkDaily(pasture.Id)
	}

	return nil
}

func (e *Entry) ProcessMilkDaily(pastureId int64) {
	nowTime := time.Now()
	newMilkDaily := &model.MilkDaily{}
	if err := e.DB.Model(new(model.MilkDaily)).
		Where("pasture_id = ? AND DATE_FORMAT(created_at,'%Y-%m-%d') = ?", pastureId, nowTime.Format("2006-01-02")).
		First(newMilkDaily).Error; err != nil {
		newMilkDaily.PastureId = pastureId
		newMilkDaily.CreatedAt = nowTime.Unix()
		newMilkDaily.UpdatedAt = nowTime.Unix()
	}
}
